YPPUSH(8)

NAME
yppush - force distribution of one YP map

SYNOPSIS
yppush [-v] [-d domainname] [-h hostname] mapname

DESCRIPTION
The yppush utility distributes one YP map from the master server to all slave servers in the domain. All servers of the domain are fetched from the YP map ypservers. Before starting distribution, the master server is told to reread its db(3) map files from disk.

The options are as follows:

-d domainname
    Don't use the default domain, use the specified domain.

-h hostname
    Distribute the map only to one host and not to the hosts in the ypservers map.

-v  Verbose. Announce what the program is doing.

SEE ALSO
Makefile.yp(8), yp(8), ypserv(8)

AUTHORS
Mats O Jansson <moj@stacken.kth.se>

BUGS
The map is also pushed from the master server to itself, which has no effect other than slowing down operation.